keys:
  - &lander 4BE1257015580BAB9F4B9D5FCA5B1C34E649BF92
  - &wodan age15m0pdv8mkt4aue8wjay9k4endyymtka5je3gc2t63dgamfzh9vts7774hh
  - &heimdall age1qjl8ql869njgtrytle66ylnnvesxje4nt6jayfwru3ghh002nuzs683n3g
  - &db-01 age1a5zz4cyda0aqh0hgf8svpyh9ktwy6z5x3gnnu5ysvpvek9rn03csx7dyqn
  - &hosting-01 age18g4z53ykxzq35dsjq3a2np4f88xwat0kwtax229l3zn0ykhlpvqqy8fgtv
  - &hosting-02 age1hvrssz7k9akz66evj4kja53zvdtrss8k2ljxsh5myh2mru62sggqznlzrt
  - &mail-01 age1u2a7wakgsyct6ed7ah2pksymh7jjl08ankedeyl5pa5jcs8r0uks02jpza

creation_rules:
  - path_regex: hosts/common/global/secrets.yam?l$
    key_groups:
      - age:
          - *wodan
          - *heimdall
        pgp:
          - *lander
  - path_regex: hosts/common/optional/secrets.yam?l$
    key_groups:
      - age:
          - *wodan
          - *heimdall
        pgp:
          - *lander
  - path_regex: hosts/common/servers/secrets.yam?l$
    key_groups:
      - age:
          - *db-01
          - *hosting-01
          - *hosting-02
          - *mail-01
        pgp:
          - *lander
  - path_regex: hosts/servers/common.yaml$
    key_groups:
      - age:
          - *db-01
          - *hosting-01
          - *hosting-02
          - *mail-01
        pgp:
          - *lander
  - path_regex: hosts/db-01/secrets.yam?l$
    key_groups:
      - age:
          - *db-01
        pgp:
          - *lander
  - path_regex: hosts/servers/db-01.yaml
    key_groups:
      - age:
          - *db-01
        pgp:
          - *lander
  - path_regex: hosts/servers/hosting-01.yaml$
    key_groups:
      - age:
          - *hosting-01
        pgp:
          - *lander
  - path_regex: hosts/hosting-01/secrets.yam?l$
    key_groups:
      - age:
          - *hosting-01
        pgp:
          - *lander
  - path_regex: hosts/hosting-02/secrets.yam?l$
    key_groups:
      - age:
          - *hosting-02
        pgp:
          - *lander
  - path_regex: hosts/servers/hosting-02.yaml$
    key_groups:
      - age:
          - *hosting-02
        pgp:
          - *lander
  - path_regex: hosts/servers/mail-01.yaml$
    key_groups:
      - age:
          - *mail-01
        pgp:
          - *lander
  - path_regex: hosts/mail-01/secrets.yam?l$
    key_groups:
      - age:
          - *mail-01
        pgp:
          - *lander
  - path_regex: home/lander/global/secrets.yam?l$
    key_groups:
      - age:
          - *wodan
          - *heimdall
        pgp:
          - *lander
